## com.sun.jna.platform.unix
Class X11.Xrender.PictFormat

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.NativeLong
                  com.sun.jna.platform.unix.X11.Xrender.PictFormat

All Implemented Interfaces:
  com.sun.jna.NativeMapped, java.io.Serializable

Enclosing interface:
  X11.Xrender

    public static class X11.Xrender.PictFormat

extends com.sun.jna.NativeLong

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.jna.NativeLong
`SIZE`

Constructor Summary
`X11.Xrender.PictFormat()`
`X11.Xrender.PictFormat(long value)`

Method Summary

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### X11.Xrender.PictFormat

    public X11.Xrender.PictFormat(long value)

### X11.Xrender.PictFormat

    public X11.Xrender.PictFormat()